Bug 450827 - printf format strings in cman
printf format strings in cman
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Christine Caulfield
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 05:16 EDT by Steve Whitehouse
Modified: 2008-06-19 04:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 04:38:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2008-06-11 05:16:24 EDT
From the build logs for ia64:

make[3]: Leaving directory `/usr/src/upstream/cluster/rhcluster/obj-ia64/cman/lib'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -fPIC -I/usr/include -I/usr/include -c -o daemon.o
/usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/daemon.c
/usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/daemon.c: In function
'process_client':
/usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/daemon.c:259: warning:
format '%d' expects type 'int', but argument 6 has type 'long unsigned int'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -fPIC -I/usr/include -I/usr/include -c -o
logging.o /usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/logging.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -fPIC -I/usr/include -I/usr/include -c -o ais.o
/usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/ais.c
/usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/ais.c: In function
'cman_deliver_fn':
/usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/ais.c:246: warning:
format '%d' expects type 'int', but argument 7 has type 'size_t'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -fPIC -I/usr/include -I/usr/include -c -o
commands.o /usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/commands.c
/usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/commands.c: In function
'add_ais_node':
/usr/src/upstream/cluster/rhcluster/cluster/cman/daemon/commands.c:2016:
warning: format '%lld' expects type 'long long int', but argument 7 has type
'uint64_t'
Comment 1 Christine Caulfield 2008-06-12 11:00:23 EDT
commit 4770c30eb41d85c6991e1d40b5cd2b906a8e271e
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Thu Jun 12 15:42:05 2008 +0100

    [CMAN] Fix some compiler warnings on 64 bit systems
Comment 2 Fabio Massimo Di Nitto 2008-06-13 00:00:36 EDT
Builds fine now on all arches with -Werror and all the goodies.

Fabio
Comment 3 Fabio Massimo Di Nitto 2008-06-19 04:38:23 EDT
this is good.. let's get rid of the bug.

Note You need to log in before you can comment on or make changes to this bug.